PKTCTL(1)

NAME
pktctl - pktbuf daemon controal interface

SYNOPSIS
pktctl [-t tnconf] [-i interface] command

DESCRIPTION
This program provides comannd line control of the pakcet buffer daemon (pktbuf).

pktctl has following options:

-t tnconf
    Tester Node Parameter defined in tnconf. The default is ./tn.def.

-i interface
    specify netowrk interface.

The available commands are listed below

stop
    Stop capture from bpf.

capture
    Start capture from bpf.

clear
    Buffer clear.

wrap
    Change buffer mode to wrap.

nowrap
    Change buffer mode to nowrap.

status
    Display buffer status.

dump n
    Dump buffer.

EXAMPLES
pktctl capture

pktctl dump 10

SEE ALSO
pktbuf(1), tn.def(5)

FILES
/dev/bpfn
    the packet filter device

HISTORY
The pktctl command first appeared in TAHI Project IPv6 test kit.